Bug 1651049 - [abrt] digikam: qHash(): digikam killed by SIGSEGV
Summary: [abrt] digikam: qHash(): digikam killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8e96f0c97f6fe15693ba77a38ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 03:17 UTC by Ketil Thorsen
Modified: 2019-11-27 19:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:58:02 UTC


Attachments (Terms of Use)
File: backtrace (116.55 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: cgroup (195 bytes, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: core_backtrace (45.30 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: dso_list (21.82 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: environ (1.51 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: maps (117.11 KB, text/plain)
2018-11-19 03:17 UTC, Ketil Thorsen
no flags Details
File: mountinfo (3.43 KB, text/plain)
2018-11-19 03:18 UTC, Ketil Thorsen
no flags Details
File: open_fds (3.58 KB, text/plain)
2018-11-19 03:18 UTC, Ketil Thorsen
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-11-19 03:18 UTC, Ketil Thorsen
no flags Details
File: var_log_messages (18.46 KB, text/plain)
2018-11-19 03:18 UTC, Ketil Thorsen
no flags Details

Description Ketil Thorsen 2018-11-19 03:17:41 UTC
Version-Release number of selected component:
digikam-5.9.0-2.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        digikam -qwindowtitle digiKam
crash_function: qHash
executable:     /usr/bin/digikam
journald_cursor: s=11b93ac1c9aa4118bcc74b38bac11f54;i=a2a92;b=2f1097a8e2c14d5b825f503a99ce6045;m=2afe864c9;t=57afb28c56b63;x=255de753104e7893
kernel:         4.19.2-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 qHash at tools/qhash.cpp:239
 #1 QHash<QString, QHashDummyValue>::findNode at /usr/include/qt5/QtCore/qhash.h:926
 #2 QHash<QString, QHashDummyValue>::contains at /usr/include/qt5/QtCore/qhash.h:904
 #3 QSet<QString>::contains at /usr/include/qt5/QtCore/qset.h:96
 #4 Digikam::LoadingCache::Private::cleanUpThumbnailFilePathHash at /usr/src/debug/digikam-5.9.0-2.fc29.x86_64/core/libs/threadimageio/loadingcache.cpp:134
 #5 Digikam::LoadingCache::Private::mapThumbnailFilePath at /usr/src/debug/digikam-5.9.0-2.fc29.x86_64/core/libs/threadimageio/loadingcache.cpp:100
 #6 Digikam::LoadingCache::putThumbnail at /usr/src/debug/digikam-5.9.0-2.fc29.x86_64/core/libs/threadimageio/loadingcache.cpp:276
 #7 Digikam::ThumbnailLoadingTask::execute at /usr/src/debug/digikam-5.9.0-2.fc29.x86_64/core/libs/threadimageio/thumbnailtask.cpp:182
 #8 Digikam::LoadSaveThread::run at /usr/src/debug/digikam-5.9.0-2.fc29.x86_64/core/libs/threadimageio/loadsavethread.cpp:133
 #9 Digikam::DynamicThread::DynamicThreadPriv::run at /usr/src/debug/digikam-5.9.0-2.fc29.x86_64/core/libs/threads/dynamicthread.cpp:183

Comment 1 Ketil Thorsen 2018-11-19 03:17:47 UTC
Created attachment 1507083 [details]
File: backtrace

Comment 2 Ketil Thorsen 2018-11-19 03:17:48 UTC
Created attachment 1507084 [details]
File: cgroup

Comment 3 Ketil Thorsen 2018-11-19 03:17:50 UTC
Created attachment 1507085 [details]
File: core_backtrace

Comment 4 Ketil Thorsen 2018-11-19 03:17:52 UTC
Created attachment 1507086 [details]
File: cpuinfo

Comment 5 Ketil Thorsen 2018-11-19 03:17:53 UTC
Created attachment 1507087 [details]
File: dso_list

Comment 6 Ketil Thorsen 2018-11-19 03:17:54 UTC
Created attachment 1507088 [details]
File: environ

Comment 7 Ketil Thorsen 2018-11-19 03:17:56 UTC
Created attachment 1507089 [details]
File: exploitable

Comment 8 Ketil Thorsen 2018-11-19 03:17:57 UTC
Created attachment 1507090 [details]
File: limits

Comment 9 Ketil Thorsen 2018-11-19 03:17:59 UTC
Created attachment 1507091 [details]
File: maps

Comment 10 Ketil Thorsen 2018-11-19 03:18:00 UTC
Created attachment 1507092 [details]
File: mountinfo

Comment 11 Ketil Thorsen 2018-11-19 03:18:02 UTC
Created attachment 1507093 [details]
File: open_fds

Comment 12 Ketil Thorsen 2018-11-19 03:18:03 UTC
Created attachment 1507094 [details]
File: proc_pid_status

Comment 13 Ketil Thorsen 2018-11-19 03:18:05 UTC
Created attachment 1507095 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-10-31 20:29:11 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 19:58:02 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.